System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Channels.IClientFormatterSink

The function of the formatter sink is to generate the necessary headers and serialize the message to the stream. After the formatter sink, the is forwarded to all sinks in the chain through the or calls. At this stage the message has already been serialized and is provided as information only. Sinks that need to create or modify the message must be placed in the sink chain before the formatter. This is easily achieved by implementing the interface, which gives the impression of having a reference to the formatter sink. The real formatter sink can then be placed later in the sink chain.

Property

Description

includeVersions

Specifies whether the formatter will include versioning information. Values are true or false.

Using an instance of this object with untrusted data or across an unsecure channel is a security risk. Use this object only with trusted data and across a secure channel. For more information, see Untrusted Data Security Risks.

Provides the implementation for a client formatter sink that uses the .

- Constructor
  To be added

  Initializes a new instance of the class.

  The next in the sink chain.
  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.Messaging.IMessageCtrl `` `` To be added

  Asynchronously processes the provided message.

  A that provides a way to control the asynchronous message after it has been dispatched.

  The message to process. The sink that will receive the reply to the provided message. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added

  Requests asynchronous processing of a method call on the current sink.

  A stack of channel sinks that called the current sink. The message to process. The headers to add to the outgoing message that is heading to the server. The stream that is headed toward the transport sink. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added

  Requests asynchronous processing of a response to a method call on the current sink.

  A stack of sinks that called the current sink. Information that is associated with the current sink, generated on the request side and needed on the response side. The headers that are retrieved from the server response stream. The stream that is coming back from the transport sink. 1.0.5000.0 2.0.0.0
- Method
  System.IO.Stream `` ``

  The method is called by the formatter sink before it serializes the message.

  Returns the onto which the provided message is to be serialized.

  The onto which the provided message is to be serialized.

  The that contains details about the method call. The headers to add to the outgoing message that is heading to the server. 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.Remoting.Channels.IClientChannelSink To be added: an object of type 'IClientChannelSink' To be added

  Gets the next in the sink chain.

  1.0.5000.0
  2.0.0.0
- Property
  System.Runtime.Remoting.Messaging.IMessageSink To be added: an object of type 'Runtime.Remoting.Messaging.IMessageSink' To be added

  Gets the next in the sink chain.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Runtime.Remoting.Messaging.IMessage' To be added: an object of type 'ITransportHeaders' To be added: an object of type 'IO.Stream' To be added: an object of type 'ITransportHeaders&' To be added: an object of type 'IO.Stream&' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.IDictionary To be added: an object of type 'Collections.IDictionary'

  For more information, see [<topic://cpconchannelformatterconfigurationproperties>].

  Gets a of properties for the current channel sink.

  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.Messaging.IMessage `` To be added

  Synchronously processes the provided message.

  The response to the processed message.

  The message to process. 1.0.5000.0 2.0.0.0